# $Revision: 1.9 $, $Date: 2001/10/21 17:55:29 $
Summary:	A missile command clone
Summary(pl):	Klon missile command
Name:		penguin-command
Version:	1.6.2
Release:	1
License:	GPL
Group:		X11/Applications/Games
Group(de):	X11/Applikationen/Spiele
Group(pl):	X11/Aplikacje/Gry
Source0:	http://www.linux-games.com/%{name}/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Source2:	%{name}.png
URL:		http://www.linux-games.com/
BuildRequires:	SDL-devel >= 1.2.0
BuildRequires:	SDL_mixer-devel >= 1.2.0
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libpng-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
This is a clone of the classic "Missile Command" Game, but it has
better graphics and music. You have to defend cities by shooting at
missiles and smartbombs.

%description -l pl
To jest klon klasycznej gry "Missile Command", lecz ma lepsz grafik
i muzyk. Musisz obroni miasta strzelajc pociskami i bombami.

%prep
%setup -q

%build
rm -f missing
aclocal
autoconf
automake -a -c
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__install} -d $RPM_BUILD_ROOT{%{_pixmapsdir},%{_applnkdir}/Games}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__install} %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/Games
%{__install} %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}/%{name}.png

gzip -9nf NEWS README AUTHORS

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man6/*
%{_datadir}/%{name}
%{_pixmapsdir}/*
%{_applnkdir}/Games/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: penguin-command.spec,v $
Revision 1.9  2001/10/21 17:55:29  kloczek
- added regenerate ac/am files,
- fix %%{_mandir}.

Revision 1.8  2001/10/21 14:07:24  kloczek
- updated to 1.6.2.

Revision 1.7  2001/06/29 07:16:17  kloczek
- updated to 1.6.1.

Revision 1.6  2001/05/28 22:48:22  kloczek
- updated to 1.6.0,
- added man pages to %files list.

Revision 1.5  2001/05/13 00:52:39  kloczek
- release 2: rebuild againsr SDL_mixer 1.2.0.

Revision 1.4  2001/05/03 08:38:18  kloczek
- updated to 1.5.1.

Revision 1.3  2001/04/21 08:24:06  kloczek
- release 2: new icon.

Revision 1.2  2001/04/04 15:36:05  kloczek
- cosmetics.

Revision 1.1  2001/04/04 15:21:42  jajcus
A missile command clone
